Package twisted :: Package web :: Module microdom :: Class Element

[show private | hide private]
[frames | no frames]

## Class Element

    Node --+
           |
          Element

Method Summary
| `__init__(self, tagName, attributes, parentNode, filename, markpos)`
| `__repr__(self)`
| `__str__(self)`
| `appendChild(self, child)` (inherited from `Node`)
| `cloneNode(self, deep, parent)`
| `firstChild(self)` (inherited from `Node`)
| `getAttribute(self, name, default)`
| `getAttributeNode(self, name)`
| `getElementsByTagName(self, name)`
| `hasAttribute(self, name)`
| `hasAttributes(self)`
| `hasChildNodes(self)` (inherited from `Node`)
| `insertBefore(self, new, ref)` (inherited from `Node`)
| `lastChild(self)` (inherited from `Node`)
| `removeAttribute(self, name)`
| `removeChild(self, child)` (inherited from `Node`)
| `replaceChild(self, newChild, oldChild)` (inherited from `Node`)
| `setAttribute(self, name, attr)`
| `toprettyxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `toxml(self, indent, addindent, newl, strip)` (inherited from `Node`)
| `writexml(self, stream, indent, addindent, newl, strip)`

Generated by Epydoc 1.1 on Sat Feb 15 21:19:28 2003 | http://epydoc.sf.net